Package org.eigenbase.xom

# Class XOMUtil

java.lang.Object
org.eigenbase.xom.XMLUtil
org.eigenbase.xom.XOMUtil

public abstract class XOMUtil extends XMLUtil
Utility functions for the `org.eigenbase.xom` and `org.eigenbase.xom.wrappers` packages.

Since:
  3 October, 2001
Version:
  $Id: //open/util/resgen/src/org/eigenbase/xom/XOMUtil.java#5 $
Author:
  jhyde

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) static final NodeDef[]`
`emptyNodeArray`
`(package private) static final int`
`MSXML`
`(package private) static final int`
`XERCES`

## Constructor Summary

Constructors
Constructor
Description
`XOMUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addChild(ElementDef parent, ElementDef child)`
`static void`
`addChild(ElementDef parent, NodeDef child)`
`static void`
`addChildren(ElementDef parent, NodeDef[] children)`
Adds a set of children to an object, using its best guess as to where to put them.
`static Object[]`
`addElement(Object[] a, Object o)`
Adds an object to the end of an array.
`(package private) static String`
`capitalize(String name)`
Converts the first letter of `name` to upper-case.
`static Object[]`
`concatenate(Object[] a0, Object[] a1)`
Concatenates two arrays.
`static Parser`
`createDefaultParser()`
Creates a `Parser` of the default parser type.
`static void`
`discard(boolean b)`
When the compiler is complaining that you are not using a variable, just call one of these routines with it.
`static void`
`discard(byte b)`
`static void`
`discard(char c)`
`static void`
`discard(double d)`
`static void`
`discard(float d)`
`static void`
`discard(int i)`
`static void`
`discard(long l)`
`static void`
`discard(short s)`
`static void`
`discard(Object o)`
`static Object`
`getFirstInstance(Object[] a, Class clazz)`
Returns the first member of an array of objects which is an instance of a given class, or null if there is no such.
`(package private) static Parser`
`makeParser(int parserType, boolean usesPlugins, String fileDirectory, String dtdName, String docType)`
Creates a parser of given type.
`static String`
`wrapperToXml(DOMWrapper wrapper, boolean ignorePcdata)`

### Methods inherited from class org.eigenbase.xom.XMLUtil

`getFirstTagName, printAtt, printAtt, printAtt, printAtt, printPCDATA, printPCDATA, printPCDATA, quoteAtt, quoteAtt, quoteAtt, quoteAtt, quotePCDATA, stringEncodeXML, stringHasXMLSpecials`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### emptyNodeArray

static final NodeDef[] emptyNodeArray

### MSXML

static final int MSXML

See Also:
  - `makeParser(int, boolean, java.lang.String, java.lang.String, java.lang.String)`
  - Constant Field Values

### XERCES

static final int XERCES

See Also:
  - `makeParser(int, boolean, java.lang.String, java.lang.String, java.lang.String)`
  - Constant Field Values

## Constructor Details

### XOMUtil

public XOMUtil()

## Method Details

### discard

public static void discard(boolean b)
When the compiler is complaining that you are not using a variable, just call one of these routines with it.

### discard

public static void discard(byte b)

### discard

public static void discard(char c)

### discard

public static void discard(double d)

### discard

public static void discard(float d)

### discard

public static void discard(int i)

### discard

public static void discard(long l)

### discard

public static void discard(Object o)

### discard

public static void discard(short s)

### capitalize

static String capitalize(String name)
Converts the first letter of `name` to upper-case.

### addElement

public static Object[] addElement(Object[] a, Object o)
Adds an object to the end of an array. The resulting array is of the same type (e.g. `String[]`) as the input array.

### concatenate

public static Object[] concatenate(Object[] a0, Object[] a1)
Concatenates two arrays. The resulting array is of the same type (e.g. `String[]`) as the first array.

### addChildren

public static void addChildren(ElementDef parent, NodeDef[] children) throws XOMException
Adds a set of children to an object, using its best guess as to where to put them.

Throws:
  `XOMException`

### addChild

public static void addChild(ElementDef parent, ElementDef child) throws XOMException

Throws:
  `XOMException`

### addChild

public static void addChild(ElementDef parent, NodeDef child) throws XOMException

Throws:
  `XOMException`

### createDefaultParser

public static Parser createDefaultParser() throws XOMException
Creates a `Parser` of the default parser type.

Throws:
  `XOMException`

### makeParser

static Parser makeParser(int parserType, boolean usesPlugins, String fileDirectory, String dtdName, String docType) throws XOMException
Creates a parser of given type.

Parameters:
  `parserType` - valid values are `MSXML` and `XERCES`.
Throws:
  `XOMException`

### getFirstInstance

public static Object getFirstInstance(Object[] a, Class clazz)
Returns the first member of an array of objects which is an instance of a given class, or null if there is no such.

### wrapperToXml

public static String wrapperToXml(DOMWrapper wrapper, boolean ignorePcdata)